---
title: AudioParam.defaultValue
slug: Web/API/AudioParam/defaultValue
tags:
  - API
  - AudioParam
  - Property
  - Reference
  - Web Audio API
  - defaultValue
---
<p>{{APIRef("Web Audio API")}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>defaultValue</code></strong> read-only property of the {{ domxref("AudioParam") }} interface represents the initial value of the attributes as defined by the specific {{domxref("AudioNode")}} creating the <code>AudioParam</code>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>defaultVal</em> = <em>audioParam</em>.defaultValue;</pre>

<h3 id="Value">Value</h3>

<p>A floating-point {{jsxref("Number")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;highlight[3]">const audioCtx = new AudioContext();
const gainNode = audioCtx.createGain();
const defaultVal = gainNode.gain.defaultValue;
console.log(defaultVal); // 1
console.log(defaultVal === gainNode.gain.value); // true
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audioparam-defaultvalue', 'defaultValue')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioParam.defaultValue")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
